package sdk

type commonRes struct {
	Code    int    `json:"code"`
	Message string `json:"message"`
}

type BrandListRes struct {
	commonRes
	Data struct {
		Count int             `json:"count"`
		Data  []BrandListInfo `json:"data"`
	} `json:"data"`
}
type BrandListInfo struct {
	BrandAuth         string `json:"brand_auth"`
	BrandAuthTime     int    `json:"brand_auth_time"`
	BrandBusinessAuth string `json:"brand_business_auth"`
	BrandCn           string `json:"brand_cn"`
	BrandEn           string `json:"brand_en"`
	BrandLogo         string `json:"brand_logo"`
	BrandNumber       string `json:"brand_number"`
	BrandRange        int    `json:"brand_range"`
	BrandRegisterCert string `json:"brand_register_cert"`
	BrandType         int    `json:"brand_type"`
	CreatedTime       int    `json:"created_time"`
	ID                int    `json:"id"`
	SellerID          int    `json:"seller_id"`
	Status            int    `json:"status"`
	StoreName         string `json:"store_name"`
	UpdatedTime       int    `json:"updated_time"`
	BrandStartTime    int    `json:"brand_start_time"`
	BrandEndTime      int    `json:"brand_end_time"`
	IsDel             int    `json:"is_del"`
	LastCheckTime     int    `json:"last_check_time"`
	LastCheckContent  string `json:"last_check_content"`
}
